NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.SelectIBody Class Reference

Represents a single object selection. More...

Inheritance diagram for NXOpen.SelectIBody:
NXOpen.GeometricUtilities.IComponentBuilder

Public Member Functions

unsafe void SetValue (NXOpen.IBody selection, NXOpen.View view, NXOpen.Point3d point)
 The object being selected with the object's view and object's point More...
 
unsafe void GetValue (out NXOpen.IBody selection, out NXOpen.View view, out NXOpen.Point3d point)
 The object being selected with the object's view and point. More...
 
unsafe void SetValue (NXOpen.InferSnapType.SnapType snapType, NXOpen.IBody selection1, NXOpen.View view1, NXOpen.Point3d point1, NXOpen.IBody selection2, NXOpen.View view2, NXOpen.Point3d point2)
 The object being selected with the objects view and objects point and snap information. More...
 
unsafe void GetValue (out NXOpen.InferSnapType.SnapType snapType, out NXOpen.IBody selection1, out NXOpen.View view1, out NXOpen.Point3d point1, out NXOpen.IBody selection2, out NXOpen.View view2, out NXOpen.Point3d point2)
 The object being selected with the objects view and point and snap information. More...
 
unsafe void SetValue (NXOpen.IBody selection, NXOpen.CaeObjectType.CaeSubType caeSubType, int caeSubId)
 The object being selected with CAE set object information. More...
 
unsafe NXOpen.IBody GetValue (out NXOpen.CaeObjectType.CaeSubType caeSubType, out int caeSubId)
 The object being selected with CAE set object information. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe NXOpen.IBody Value [get, set]
 Returns or sets the object being selected More...
 

Detailed Description

Represents a single object selection.

Created in NX5.0.0

Member Function Documentation

unsafe void NXOpen.SelectIBody.GetValue ( out NXOpen.IBody  selection,
out NXOpen.View  view,
out NXOpen.Point3d  point 
)

The object being selected with the object's view and point.

Created in NX5.0.0

License requirements: None.

Parameters
selectionselected object
viewselected object view
pointselected object point
unsafe void NXOpen.SelectIBody.GetValue ( out NXOpen.InferSnapType.SnapType  snapType,
out NXOpen.IBody  selection1,
out NXOpen.View  view1,
out NXOpen.Point3d  point1,
out NXOpen.IBody  selection2,
out NXOpen.View  view2,
out NXOpen.Point3d  point2 
)

The object being selected with the objects view and point and snap information.

Created in NX5.0.0

License requirements: None.

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
unsafe NXOpen.IBody NXOpen.SelectIBody.GetValue ( out NXOpen.CaeObjectType.CaeSubType  caeSubType,
out int  caeSubId 
)

The object being selected with CAE set object information.

Created in NX5.0.0

Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.GetValue .

License requirements: None.

Returns
selected object
Parameters
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
unsafe void NXOpen.SelectIBody.SetValue ( NXOpen.IBody  selection,
NXOpen.View  view,
NXOpen.Point3d  point 
)

The object being selected with the object's view and object's point

Created in NX5.0.0

License requirements: None.

Parameters
selectionselected object
viewselected object view
pointselected object point
unsafe void NXOpen.SelectIBody.SetValue ( NXOpen.InferSnapType.SnapType  snapType,
NXOpen.IBody  selection1,
NXOpen.View  view1,
NXOpen.Point3d  point1,
NXOpen.IBody  selection2,
NXOpen.View  view2,
NXOpen.Point3d  point2 
)

The object being selected with the objects view and objects point and snap information.

Created in NX5.0.0

License requirements: None.

Parameters
snapTypesnap point type
selection1first selected object
view1first selected object view
point1first selected object point
selection2second selected object
view2second selected object view
point2second selected object point
unsafe void NXOpen.SelectIBody.SetValue ( NXOpen.IBody  selection,
NXOpen.CaeObjectType.CaeSubType  caeSubType,
int  caeSubId 
)

The object being selected with CAE set object information.

Created in NX5.0.0

Deprecated in NX10.0.0. Use other versions of NXOpen.SelectObject.SetValue .

License requirements: None.

Parameters
selectionselected object
caeSubTypeCAE set object sub type
caeSubIdCAE set object sub id
unsafe bool NXOpen.SelectIBody.Validate ( )

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Created in NX3.0.1

License requirements: None.

Returns
Was self validation successful

Implements NXOpen.GeometricUtilities.IComponentBuilder.

Property Documentation

unsafe NXOpen.IBody NXOpen.SelectIBody.Value
getset

Returns or sets the object being selected

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.